Skip to main content

Get library item by ID

GET
/ai/gateway/library/{collection}/{id}

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesnot required
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
collectionpathyesstringLibrary collection name
idpathyesintegerItem ID

Responses

5 responses

Status
Description
Type
200
Successful responseobject
400
Invalid requestobject
401
API key is missing or invalidobject
403
Required library:read scope is missingobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }